# VaultPermissionHandler (server 1.1 API)
declaration: package: dev.plex.permission.handler, class: VaultPermissionHandler

Package dev.plex.permission.handler

# Class VaultPermissionHandler

java.lang.Object
dev.plex.permission.handler.VaultPermissionHandler

All Implemented Interfaces:
  `dev.plex.api.permission.IPermissionHandler`

public class VaultPermissionHandler extends Object implements dev.plex.api.permission.IPermissionHandler

## Constructor Summary

Constructors
Constructor
Description
`VaultPermissionHandler()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasPermission(@NotNull org.bukkit.OfflinePlayer player, @Nullable String permission)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface dev.plex.api.permission.IPermissionHandler

`hasPermission`

## Constructor Details

### VaultPermissionHandler

public VaultPermissionHandler()

## Method Details

### hasPermission

public boolean hasPermission(@NotNull @NotNull org.bukkit.OfflinePlayer player, @Nullable @Nullable String permission)

Specified by:
  `hasPermission` in interface `dev.plex.api.permission.IPermissionHandler`